#[derive(Clone, PartialEq, ::prost::Message)]
pub struct CreateMemberBankDepositRequest {
  #[prost(string, tag = "1")]
  pub name: ::prost::alloc::string::String,
  #[prost(uint32, tag = "2")]
  pub amount: u32,
  #[prost(string, optional, tag = "3")]
  pub memo: ::core::option::Option<::prost::alloc::string::String>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct CreateMemberBankDepositResponse {
  #[prost(message, optional, tag = "1")]
  pub error: ::core::option::Option<crate::protobuf::rpc::Error>,
  #[prost(message, optional, tag = "2")]
  pub result: ::core::option::Option<create_member_bank_deposit_response::Result>,
}
/// Nested message and enum types in `CreateMemberBankDepositResponse`.
pub mod create_member_bank_deposit_response {
  #[derive(Clone, PartialEq, ::prost::Message)]
  pub struct Result {
    #[prost(message, optional, tag = "1")]
    pub member_bank_deposit:
      ::core::option::Option<crate::models::member_bank_deposit::MemberBankDeposit>,
  }
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct ListMemberBankDepositsRequest {
  #[prost(message, optional, tag = "1")]
  pub pagination: ::core::option::Option<crate::protobuf::pagination::Pagination>,
  #[prost(message, repeated, tag = "2")]
  pub sorts: ::prost::alloc::vec::Vec<crate::protobuf::pagination::Sort>,
  #[prost(message, optional, tag = "3")]
  pub search: ::core::option::Option<list_member_bank_deposits_request::Search>,
}
/// Nested message and enum types in `ListMemberBankDepositsRequest`.
pub mod list_member_bank_deposits_request {
  #[derive(Clone, PartialEq, ::prost::Message)]
  pub struct Search {
    #[prost(string, optional, tag = "1")]
    pub member_id: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(string, optional, tag = "2")]
    pub name_like: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(uint32, optional, tag = "3")]
    pub amount: ::core::option::Option<u32>,
    #[prost(string, optional, tag = "4")]
    pub memo_like: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(
      enumeration = "crate::models::member_bank_deposit::MemberBankDepositState",
      optional,
      tag = "5"
    )]
    pub state: ::core::option::Option<i32>,
  }
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct ListMemberBankDepositsResponse {
  #[prost(message, optional, tag = "1")]
  pub error: ::core::option::Option<crate::protobuf::rpc::Error>,
  #[prost(message, optional, tag = "2")]
  pub result: ::core::option::Option<list_member_bank_deposits_response::Result>,
}
/// Nested message and enum types in `ListMemberBankDepositsResponse`.
pub mod list_member_bank_deposits_response {
  #[derive(Clone, PartialEq, ::prost::Message)]
  pub struct Result {
    #[prost(message, repeated, tag = "1")]
    pub member_bank_deposits:
      ::prost::alloc::vec::Vec<crate::models::member_bank_deposit::MemberBankDeposit>,
  }
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct GetMemberBankDepositRequest {
  #[prost(string, tag = "1")]
  pub id: ::prost::alloc::string::String,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct GetMemberBankDepositResponse {
  #[prost(message, optional, tag = "1")]
  pub error: ::core::option::Option<crate::protobuf::rpc::Error>,
  #[prost(message, optional, tag = "2")]
  pub result: ::core::option::Option<get_member_bank_deposit_response::Result>,
}
/// Nested message and enum types in `GetMemberBankDepositResponse`.
pub mod get_member_bank_deposit_response {
  #[derive(Clone, PartialEq, ::prost::Message)]
  pub struct Result {
    #[prost(message, optional, tag = "1")]
    pub member_bank_deposit:
      ::core::option::Option<crate::models::member_bank_deposit::MemberBankDeposit>,
  }
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct UpdateMemberBankDepositRequest {
  #[prost(string, tag = "1")]
  pub id: ::prost::alloc::string::String,
  #[prost(string, tag = "3")]
  pub name: ::prost::alloc::string::String,
  #[prost(uint32, tag = "5")]
  pub amount: u32,
  #[prost(string, optional, tag = "7")]
  pub memo: ::core::option::Option<::prost::alloc::string::String>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct UpdateMemberBankDepositResponse {
  #[prost(message, optional, tag = "1")]
  pub error: ::core::option::Option<crate::protobuf::rpc::Error>,
  #[prost(message, optional, tag = "2")]
  pub result: ::core::option::Option<update_member_bank_deposit_response::Result>,
}
/// Nested message and enum types in `UpdateMemberBankDepositResponse`.
pub mod update_member_bank_deposit_response {
  #[derive(Clone, PartialEq, ::prost::Message)]
  pub struct Result {
    #[prost(message, optional, tag = "1")]
    pub member_bank_deposit:
      ::core::option::Option<crate::models::member_bank_deposit::MemberBankDeposit>,
  }
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct UpdateMemberBankDepositForStateRequest {
  #[prost(string, tag = "1")]
  pub id: ::prost::alloc::string::String,
  #[prost(
    enumeration = "crate::models::member_bank_deposit::MemberBankDepositState",
    tag = "2"
  )]
  pub state: i32,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct UpdateMemberBankDepositForStateResponse {
  #[prost(message, optional, tag = "1")]
  pub error: ::core::option::Option<crate::protobuf::rpc::Error>,
  #[prost(message, optional, tag = "2")]
  pub result: ::core::option::Option<update_member_bank_deposit_for_state_response::Result>,
}
/// Nested message and enum types in `UpdateMemberBankDepositForStateResponse`.
pub mod update_member_bank_deposit_for_state_response {
  #[derive(Clone, PartialEq, ::prost::Message)]
  pub struct Result {
    #[prost(message, optional, tag = "1")]
    pub member_bank_deposit:
      ::core::option::Option<crate::models::member_bank_deposit::MemberBankDeposit>,
  }
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct DeleteMemberBankDepositRequest {
  #[prost(string, tag = "1")]
  pub id: ::prost::alloc::string::String,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct DeleteMemberBankDepositResponse {
  #[prost(message, optional, tag = "1")]
  pub error: ::core::option::Option<crate::protobuf::rpc::Error>,
  #[prost(message, optional, tag = "2")]
  pub result: ::core::option::Option<delete_member_bank_deposit_response::Result>,
}
/// Nested message and enum types in `DeleteMemberBankDepositResponse`.
pub mod delete_member_bank_deposit_response {
  #[derive(Clone, PartialEq, ::prost::Message)]
  pub struct Result {}
}
